| Home | Libraries | People | FAQ | More

## Class template is_rvalue_convertible

boost::move_upd::is_rvalue_convertible

## Synopsis

    // In header: <boost/move/unique_ptr.hpp>

    template<typename T, typename U>
    class is_rvalue_convertible {
    public:
      // member classes/structs/unions

      class false_t {
      };

      // private static functions
      static false_t dispatch(...);
      static true_t dispatch(U);
      static t_from trigger();

      // public data members
      static const bool value;
    };

## Description

### `is_rvalue_convertible` private static functions

1.     static false_t dispatch(...);

2.     static true_t dispatch(U);

3.     static t_from trigger();